////////////////////////////////////////////////////////////////////////////////
//
//  Licensed to the Apache Software Foundation (ASF) under one or more
//  contributor license agreements.  See the NOTICE file distributed with
//  this work for additional information regarding copyright ownership.
//  The ASF licenses this file to You under the Apache License, Version 2.0
//  (the "License"); you may not use this file except in compliance with
//  the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//
////////////////////////////////////////////////////////////////////////////////
package flashx.textLayout.compose
{
	/** A Slug is geomtrical line information, generated by a Parcel. It has data required for composition. */
	[ExcludeClass]
	public class Slug
	{
		public var leftMargin:Number;
		public var rightMargin:Number;
		public var width:Number;	// logical width
		public var depth:Number;
		public var height:Number;	// logical height
		public var wrapsKnockOut:Boolean;	// true if the slug is narrow because it encountered a knockout (e.g., for a float)
	}
}
